"use strict";

module.exports = function (context) {
  return {
    Program: function (node) {
      var folderPath = context.getFilename();
      var folderName = folderPath.split("/").pop();
      var regex = /^[a-z][a-z0-9-]*$/;

      if (!regex.test(folderName)) {
        context.report(
          node,
          `Folder name "${folderName}" does not match the naming convention.`
        );
      }
    },
  };
};
